aboutsummaryrefslogtreecommitdiffstats
path: root/test/test.sh
diff options
context:
space:
mode:
authorVasil Velichckov <vvvelichkov@gmail.com>2015-10-01 06:43:39 +0300
committerMichael Mann <mmann78@netscape.net>2015-10-15 14:00:04 +0000
commit8201711e8037a7e5d411cacfddae5e1e9cb676a3 (patch)
tree2297639762add2e27bd76cfc7515ebcfd7b04cb7 /test/test.sh
parent9f6d155313777d08d76945dda9dc5fa63c7c2a0f (diff)
text2pcap: Add test suite
Use the pcap captures from test/captures/ and - Get information for the input pcap file with capinfos - Generate an ASCII hexdump with text2pcap - Convert the ASCII hexdump back to pcap using text2pcap - Get information for the output pcap file with capinfs - Check that file type, encapsulation type, number of packets and data size in the output file are the same as in the input file Change-Id: I659204fb0a46e9cd99d03eb666f55fac95ae053e Reviewed-on: https://code.wireshark.org/review/11042 Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com> Reviewed-by: Michael Mann <mmann78@netscape.net>
Diffstat (limited to 'test/test.sh')
-rwxr-xr-xtest/test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/test.sh b/test/test.sh
index bd63921739..73a2007b0d 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -109,6 +109,7 @@ source $TESTS_DIR/suite-decryption.sh
source $TESTS_DIR/suite-nameres.sh
source $TESTS_DIR/suite-wslua.sh
source $TESTS_DIR/suite-mergecap.sh
+source $TESTS_DIR/suite-text2pcap.sh
test_cleanup() {
if [ $TEST_OUTDIR_CLEAN = 1 ]; then
@@ -170,6 +171,7 @@ test_suite() {
test_suite_add "Lua API" wslua_suite
test_suite_add "Mergecap" mergecap_suite
test_suite_add "File formats" fileformats_suite
+ test_suite_add "Text2pcap" text2pcap_suite
}
@@ -218,6 +220,9 @@ if [ -n "$RUN_SUITE" ] ; then
"wslua")
test_suite_run "Lua API" wslua_suite
exit $? ;;
+ "text2pcap")
+ test_suite_run "Text2pcap" text2pcap_suite
+ exit $? ;;
esac
fi